SetAccess
[POST] .../v1/project/setaccess
Configures project access for users and groups. Replace or append the project ACL for individual users and user groups. The method changes access_all, access_user_ids and access_group_ids for an existing project and returns UpdateResult with the number of changed rows. The request body must contain a valid project id, the caller needs project access management permission and missing body, invalid id, denied access, storage errors are returned as HTTP 200 ErrorResult.
Request Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| access_all | Boolean | Optional | true - grant access to all users. |
| access_group_ids | Array of Int64 | Optional | Group IDs. |
| access_user_ids | Array of Int64 | Optional | User IDs. |
| id | Int64 | Required | Project ID. |
| replace_mode | Boolean | Optional | true - replace the current ACL; false - append to the current ACL. |
Request Example
{
"id": 10,
"access_all": false,
"access_user_ids": [
5,
18
],
"access_group_ids": [
3
],
"replace_mode": true
}
Response Parameters
| Name | Type | Description |
|---|---|---|
| ok | Boolean | Indicates whether the request completed successfully. |
| result | Update | Update operation result. |
Response Example
{
"ok": true,
"result": {
"row_affected": 1
}
}